.button {
  background-color: $green;
  border: none;
  border-radius: 4px;
  color: $white;
  display: inline-block;
  font-size: $font-size-large;
  font-weight: 300;
  line-height: 1;
  padding: $s-size;
  text-decoration: none;
  transition: color .5s;

  &--link {
    background: none;
    border-radius: 4px;
    color: $white;
    transition: background .5s;
    
    &:hover {
      background: $dark-red;
      cursor: pointer;
    }
  }

  &--secondary {
    background: #888888;
  }
}

.link {
  border: none;
  background: transparent;
  color: $dark-grey;
  transition: 0.5s;

  &:hover {
    color: $red;
  }
}

.submit_input {
  background-color: $green;
  color: white !important;
  transition: background .5s;

  &:hover {
    background: $dark-green;
    cursor: pointer;
  }
}

.primary_button {
  background-color: $dark-grey;
  color: white !important;
  transition: background .5s;

  &:hover {
    background: $grey;
    cursor: pointer;
  }

  &:disabled {
    background: $grey;
    cursor: default;
  }
}

.secondary_button {
  background: $dark-grey;
  border: 1px solid $dark-grey;
  color: white;
  transition: .5s;

  &:hover {
    color: $grey;
    cursor: pointer;
  }

  &:disabled {
    background: $grey;
    border: 1px solid $grey;
    color: white;
    cursor: default;
  }
}

.wide_button {
  width: 15%;
  max-width: 120px;
}

.danger_button {
  background-color: $red;
  color: white !important;
  transition: background .5s;

  &:hover {
    background: $light-red;
    cursor: pointer;
  }
}